Bug 1823918 - install fails to bootstrap when region has uppercase letters
Summary: install fails to bootstrap when region has uppercase letters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Fabiano Franz
QA Contact: Etienne Simard
URL:
Whiteboard:
Depends On: 1819461
Blocks: 1824239
TreeView+ depends on / blocked
 
Reported: 2020-04-14 19:22 UTC by Fabiano Franz
Modified: 2020-05-04 11:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1819461
: 1824239 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:49:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3452 None closed Bug 1823918: Validate Azure regions 2020-05-04 13:45:46 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:49:41 UTC

Comment 3 Etienne Simard 2020-04-16 16:41:10 UTC
Verified with: ./openshift-install v4.4.0
built from commit da76129245a00e801bbaec4a57688c2971bb3c00
release image registry.svc.ci.openshift.org/ocp/release@sha256:ab768824c6590e23ea613429a73de00d2af381f9720b11ad1e98ce081d8aca22


I first created an install-config and changed the region to "CentralUS" before running the installer.

~~~
$ ./openshift-install create cluster --dir ./test1upper --log-level debug
DEBUG OpenShift Installer v4.4.0                   
DEBUG Built from commit da76129245a00e801bbaec4a57688c2971bb3c00 
DEBUG Fetching Terraform Variables...              
DEBUG Loading Terraform Variables...               
DEBUG   Loading Cluster ID...                      
DEBUG     Loading Install Config...                
DEBUG       Loading SSH Key...                     
DEBUG       Using SSH Key loaded from state file   
DEBUG       Loading Base Domain...                 
DEBUG         Loading Platform...                  
DEBUG         Using Platform loaded from state file 
DEBUG       Using Base Domain loaded from state file 
DEBUG       Loading Cluster Name...                
DEBUG         Loading Base Domain...               
DEBUG         Loading Platform...                  
DEBUG       Using Cluster Name loaded from state file 
DEBUG       Loading Pull Secret...                 
DEBUG       Using Pull Secret loaded from state file 
DEBUG       Loading Platform...                    
INFO Credentials loaded from file "/home/esimard/.azure/osServicePrincipal.json" 
FATAL failed to fetch Terraform Variables: failed to load asset "Install Config": platform.azure.region: Invalid value: "CentralUS": region "CentralUS" is not valid or not available for this account, did you mean "centralus"? 
~~~

Comment 5 errata-xmlrpc 2020-05-04 11:49:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.